﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Frodo
{
    public class FrodoSettings
    {
        
        

        
        #region General
        private bool generalSettingDebugLogging = false;
        public bool GeneralSettingDebugLogging { get { return generalSettingDebugLogging; } set { generalSettingDebugLogging = value; } }

        #endregion

        #region Tank
        // default settings
        private bool tankSettingUseOnCooldown = false;
        private int tankSettingNearbyUnitsInCombat = 5;
        private int tankSettingHealthPercent = 55;
        private bool tankSettingUseOnBoss = true;
        //private bool tankSettingOnlyOnBoss = false;
        public bool TankSettingUseOnCooldown { get { return tankSettingUseOnCooldown; } set { tankSettingUseOnCooldown = value; } }
        public int TankSettingNearbyUnitsInCombat { get { return tankSettingNearbyUnitsInCombat; } set { tankSettingNearbyUnitsInCombat = value; } }
        public int TankSettingHealthPercent { get { return tankSettingHealthPercent; } set { tankSettingHealthPercent = value; } }
        public bool TankSettingUseOnBoss { get { return tankSettingUseOnBoss; } set { tankSettingUseOnBoss = value; } }
        //public bool TanksSettingOnlyOnBoss { get { return tankSettingOnlyOnBoss; } set { tankSettingOnlyOnBoss = value; } }

        #endregion

        #region DPS
        private bool dpsSettingUseOnCooldown = false;
        private bool dpsSettingUseOnBoss = true;
        //private bool dpsSettingOnlyOnBoss = false;
        private int dpsSettingNearbyUnitsInCombat = 3;

        public bool DpsSettingUseOnCooldown { get { return dpsSettingUseOnCooldown; } set { dpsSettingUseOnCooldown = value; } }
        public bool DpsSettingUseOnBoss { get { return dpsSettingUseOnBoss; } set { dpsSettingUseOnBoss = value; } }
        //public bool DpsSettingOnlyOnBoss { get { return dpsSettingOnlyOnBoss; } set { dpsSettingOnlyOnBoss = value; } }
        public int DpsSettingNearbyUnitsInCombat { get { return dpsSettingNearbyUnitsInCombat; } set { dpsSettingNearbyUnitsInCombat = value; } }

        #endregion

        #region Heal
        private bool healSEttingUseOnCooldown = true;
        public bool HealSettingUseOnCooldown { get { return healSEttingUseOnCooldown; } set { healSEttingUseOnCooldown = value; } }
        #endregion
    }
}
